# Generated by Django 2.2.18 on 2021-07-28 19:59
from django.db import migrations
from django.db.models import Q


def migrate_data(apps, schema_editor):
    """
    Disable discounts that have coupon or availability_exceptions set.
    Those fields will be removed and the discounts should be removed.

    Populate shop on models that converted from M2M to FK
    """
    Discount = apps.get_model("discounts", "Discount")
    HappyHour = apps.get_model("discounts", "HappyHour")
    Shop = apps.get_model("shuup", "Shop")

    Discount.objects.filter(
        Q(availability_exceptions__isnull=False) |
        Q(coupon_code__isnull=False) |
        Q(exclude_selected_contact_group=True)
    ).update(active=False)

    # populate shop
    for discount in Discount.objects.all():
        discount.shop = discount.shops.first() or Shop.objects.first()
        discount.save()

    for happy_hour in HappyHour.objects.all():
        happy_hour.shop = happy_hour.shops.first() or Shop.objects.first()
        happy_hour.save()


class Migration(migrations.Migration):

    dependencies = [
        ('discounts', '0005_add_shop_field'),
    ]

    operations = [migrations.RunPython(migrate_data, migrations.RunPython.noop)]
