# Generated by Django 2.2.24 on 2021-07-28 03:54

import django.core.validators
import django.db.models.deletion
import filer.fields.file
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('shuup', '0091_background_tasks'),
        ('filer', '0011_auto_20190418_0137'),
        ('shuup_xtheme', '0009_gdpr_block_snippets'),
    ]

    operations = [
        migrations.CreateModel(
            name='Font',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Font family name', max_length=128, verbose_name='name')),
                ('css_value', models.CharField(blank=True, help_text='(Optional) Input css font family property directly. Ex: font-family: Roboto;', max_length=128, verbose_name='Font Family CSS Property')),
                ('eot', filer.fields.file.FilerFileField(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='xtheme_eot_fonts', to='filer.File', verbose_name='EOT font')),
                ('shop', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='admin_fonts', to='shuup.Shop', verbose_name='Shop')),
                ('svg', filer.fields.file.FilerFileField(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='xtheme_svg_fonts', to='filer.File', verbose_name='SVG font')),
                ('ttf', filer.fields.file.FilerFileField(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='xtheme_ttf_fonts', to='filer.File', verbose_name='TTF font')),
                ('woff', filer.fields.file.FilerFileField(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='xtheme_woff_fonts', to='filer.File', verbose_name='WOFF Font')),
                ('woff2', filer.fields.file.FilerFileField(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='xtheme_woff2_fonts', to='filer.File', verbose_name='WOFF2 Font')),
            ],
            options={
                'verbose_name': 'Font Family',
                'verbose_name_plural': 'Font Families',
                'unique_together': {('shop', 'name')},
            },
        ),
        migrations.CreateModel(
            name='AdminThemeSettings',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('primary_color', models.CharField(blank=True, default='#07B0F2', max_length=7, validators=[django.core.validators.MinLengthValidator(7)], verbose_name='primary color')),
                ('secondary_color', models.CharField(blank=True, default='#041E40', max_length=7, validators=[django.core.validators.MinLengthValidator(7)], verbose_name='secondary color')),
                ('text_color', models.CharField(blank=True, default='#384850', max_length=7, validators=[django.core.validators.MinLengthValidator(7)], verbose_name='text color')),
                ('success_color', models.CharField(blank=True, default='#27ae60', max_length=7, validators=[django.core.validators.MinLengthValidator(7)], verbose_name='success color')),
                ('danger_color', models.CharField(blank=True, default='#e74c3c', max_length=7, validators=[django.core.validators.MinLengthValidator(7)], verbose_name='danger color')),
                ('base_font_size', models.CharField(blank=True, default='0.9rem', max_length=10, verbose_name='base font size')),
                ('active', models.BooleanField(db_index=True, default=False, verbose_name='active')),
                ('admin_body_font', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='admin_body_font', to='shuup_xtheme.Font')),
                ('admin_header_font', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='admin_header_font', to='shuup_xtheme.Font')),
                ('shop', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='admin_theme_settings', to='shuup.Shop')),
            ],
        ),
    ]
